<nav id="sidebar" class="sidebar" *showAuthed="true">
  <div class="sidebar-content">
    <perfect-scrollbar>
      <div class="sidebar-profile" *ngIf="user">
        <div class="profile-pic">
          <img class="img-responsive img-rounded" [src]="profilePicture" alt="Avatar">
        </div>
        <div class="user-info">
          <span class="user-name">{{user.firstName}}
          </span>
          <span class="user-name">{{user.lastName}}
          </span>
          <a class="user-profile-link" routerLink="users/profile" (click)="linkClick()">Profil bearbeiten</a>
        </div>
      </div>
      <div class="sidebar-menu">
        <ul>
          <li *ngFor="let menu of menus" id="sidebar-{{menu.routerLink}}" [ngClass]="{'active': menu.active , 'sidebar-dropdown':menu.type === 'dropdown' , 'header-menu':menu.type === 'header'}">
            <span *ngIf="menu.type === 'header'">{{menu.title}}</span>
            <a *ngIf="menu.type !== 'header'" [routerLink]="menu.routerLink" (click)="toggleSubmenu(menu)" routerLinkActive="active">
              <i class="sidebar-icon {{menu.icon}}"></i>
              <span class="label">{{menu.title}}</span>
              <span *ngIf="menu.badge" class="badge badge-pill" [ngClass]="menu.badge.class">{{menu.badge.text}}</span>
            </a>
            <div *ngIf="menu.type === 'dropdown'" class="sidebar-submenu" [@slide]="getState(menu)">
              <ul>
                <li *ngFor="let submenu of menu.submenus">
                  <a [routerLink]="submenu.routerLink" (click)="submenuClick(menu)" routerLinkActive="active"> {{submenu.title}}
                    <span *ngIf="submenu.badge" class="badge badge-pill" [ngClass]="submenu.badge.class">{{submenu.badge.text}}</span>
                  </a>
                </li>
              </ul>
            </div>
          </li>
        </ul>
      </div>
    </perfect-scrollbar>
  </div>
  <div class="sidebar-footer p-2">
    <div class="row">
      <div class="col-12 d-flex justify-content-center">
        <a routerLink="/impressum" (click)="linkClick()">Impressum</a>
        <a class="ml-3" routerLink="/datenschutz" (click)="linkClick()">Datenschutz</a>
      </div>
    </div>
    <div class="row">
      <div class="col-12 d-flex justify-content-center">
      <span>
        &copy; ys 2019, v{{version}}
      </span>
      </div>
    </div>
  </div>
</nav>
